Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.primitives.decorators
Class UnmodifiableLongListIterator

    java.lang.Object
      org.apache.commons.collections.primitives.decorators.ProxyLongIterator
          org.apache.commons.collections.primitives.decorators.ProxyLongListIterator
              org.apache.commons.collections.primitives.decorators.UnmodifiableLongListIterator

All Implemented Interfaces:
  LongIterator, LongListIterator

public final class UnmodifiableLongListIterator
extends org.apache.commons.collections.primitives.decorators.ProxyLongListIterator

Since:
  Commons Primitives 1.0
Version:
  $Revision: 1.1 $ $Date: 2003/10/27 23:46:10 $
Author:
  Rodney Waldhoff

Method Summary
`void` | `add(long value)` Inserts the specified element into my underlying collection (optional operation).
`protected LongIterator` | `getIterator()`
`protected LongListIterator` | `getListIterator()`
`boolean` | `hasNext()` Returns `true` iff I have more elements when traversed in the forward direction.
`boolean` | `hasPrevious()` Returns `true` iff I have more elements when traversed in the reverse direction.
`long` | `next()` Returns the next element in me when traversed in the forward direction.
`int` | `nextIndex()` Returns the index of the element that would be returned by a subsequent call to `ProxyLongIterator.next()`, or the number of elements in my iteration if I have no next element.
`long` | `previous()` Returns the next element in me when traversed in the reverse direction.
`int` | `previousIndex()` Returns the index of the element that would be returned by a subsequent call to `ProxyLongListIterator.previous()`, or `-1` if I have no previous element.
`void` | `remove()` Removes from my underlying collection the last element returned by `ProxyLongIterator.next()` or `ProxyLongListIterator.previous()` (optional operation).
`void` | `set(long value)` Replaces in my underlying collection the last element returned by `ProxyLongIterator.next()` or `ProxyLongListIterator.previous()` with the specified value (optional operation).
`static LongListIterator` | `wrap(LongListIterator iterator)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.commons.collections.primitives.LongListIterator
`hasNext, next`

Method Detail

### remove

    public void remove()

  Description copied from interface: `LongListIterator`
  Removes from my underlying collection the last element returned by `LongListIterator.next()` or `LongListIterator.previous()` (optional operation).

### add

    public void add(long value)

  Description copied from interface: `LongListIterator`
  Inserts the specified element into my underlying collection (optional operation). The element is inserted immediately before the next element that would have been returned by `LongListIterator.next()`, if any, and immediately after the next element that would have been returned by `LongListIterator.previous()`, if any.

  The new element is inserted immediately before the implied cursor. A subsequent call to `LongListIterator.previous()` will return the added element, a subsequent call to `LongListIterator.next()` will be unaffected. This call increases by one the value that would be returned by a call to `LongListIterator.nextIndex()` or `LongListIterator.previousIndex()`.

  Parameters:
    `value` - the value to be inserted

### set

    public void set(long value)

  Description copied from interface: `LongListIterator`
  Replaces in my underlying collection the last element returned by `LongListIterator.next()` or `LongListIterator.previous()` with the specified value (optional operation).

  Parameters:
    `value` - the value to replace the last returned element with

### getListIterator

    protected LongListIterator getListIterator()

### wrap

    public static final LongListIterator wrap(LongListIterator iterator)

### hasPrevious

    public boolean hasPrevious()

  Description copied from interface: `LongListIterator`
  Returns `true` iff I have more elements when traversed in the reverse direction. (In other words, returns `true` iff a call to `LongListIterator.previous()` will return an element rather than throwing an exception.

  Specified by:
    `hasPrevious` in interface `LongListIterator`
  Returns:
    `true` iff I have more elements when traversed in the reverse direction

### nextIndex

    public int nextIndex()

  Description copied from interface: `LongListIterator`
  Returns the index of the element that would be returned by a subsequent call to `LongListIterator.next()`, or the number of elements in my iteration if I have no next element.

  Specified by:
    `nextIndex` in interface `LongListIterator`
  Returns:
    the index of the next element in me

### previous

    public long previous()

  Description copied from interface: `LongListIterator`
  Returns the next element in me when traversed in the reverse direction.

  Specified by:
    `previous` in interface `LongListIterator`
  Returns:
    the previous element in me

### previousIndex

    public int previousIndex()

  Description copied from interface: `LongListIterator`
  Returns the index of the element that would be returned by a subsequent call to `LongListIterator.previous()`, or `-1` if I have no previous element.

  Specified by:
    `previousIndex` in interface `LongListIterator`
  Returns:
    the index of the previous element in me

### getIterator

    protected final LongIterator getIterator()

### hasNext

    public boolean hasNext()

  Description copied from interface: `LongIterator`
  Returns `true` iff I have more elements. (In other words, returns `true` iff a subsequent call to `next` will return an element rather than throwing an exception.)

  Specified by:
    `hasNext` in interface `LongIterator`
  Returns:
    `true` iff I have more elements

### next

    public long next()

  Description copied from interface: `LongIterator`
  Returns the next element in me.

  Specified by:
    `next` in interface `LongIterator`
  Returns:
    the next element in me

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.